Subject: NotFoundView should "throw" 404
Description

The NotFoundView currently sends itself out with HTTP status 200, saying it was a 404 error. It should instead say 404 Not Found.

Associated revisions
Revision ca5b3b9a - 2012-03-05 16:57 - Adrian Föder

[BUGFIX] NotFoundView sets 404 status

The default NotFoundView, which renders a 404 template,
sets now also the HTTP status to 404.

Change-Id: I01e77d0b3ba883f11b4ee9af5acb620c49ada41c
Resolves: #34407
Releases: 1.1

History
#1 - 2012-02-29 10:09 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9296

#2 - 2012-02-29 10:35 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9296

#3 - 2012-03-05 16:52 - Karsten Dambekalns
- Category set to MVC
- Target version set to 1.1

Under what circumstances is this needed - the NotFoundController sets the status to 404, so out of the box it works as expected…
#4 - 2012-03-05 16:57 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9296

#5 - 2012-03-05 18:18 - Adrian Föder

Karsten, the NotFoundController way isn't involved in every NotFoundView invokation; the NotFoundView is used every time for example a template
file could not be found. In my special case it was a .json (format) request that was not covered by the controller's "allowedFormats" and
"formatToViewObjectNameMap" (?). In all three cases the correct controller is used (hence not the NotFoundController), but the NotFoundView comes
to action.

#6 - 2012-03-07 14:39 - Adrian Föder
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:ca5b3b9a535ff29a4e34c70bbeb68612d135b0f1.

2015-08-03 2/2

http://review.typo3.org/9296

